%global debug_package %{nil}

Name:           tortix-mod_rpaf
Version:        0.8.5
Release:        4.art
Summary:        mod_rpaf 

Group:          System Environment/Daemons
License:        Apache Software License
URL:            http://stderr.net/apache/rpaf/download/
#Source0:        http://stderr.net/apache/rpaf/download/mod_rpaf-%{version}.tar.gz
Source0:        https://github.com/gnif/mod_rpaf/archive/v%{version}-rc1.tar.gz
Source1:	mod_rpaf.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: tortixd
BuildRequires: tortixd-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
rpaf is for backend Apache servers what mod_proxy_add_forward is for
frontend Apache servers. It does excactly the opposite of
mod_proxy_add_forward written by Ask Bjørn Hansen. It will also work
with mod_proxy in Apache starting with release 1.3.25 and mod_proxy
that is distributed with Apache2 from version 2.0.36.


%prep
%setup -q -n mod_rpaf-0.8.5-rc1

%build
%define  _aslhome    /var/asl
%define  _sysconfdir /var/asl/etc/
%define  _prefix     /var/asl/usr/
%define  _bindir     /var/asl/usr/bin/
%define  _sbindir    /var/asl/usr/sbin/
%define  _includedir /var/asl/usr/include/
%define  _mandir     /var/asl/usr/share/man/
%define  _libdir     /var/asl/usr/lib/
%ifarch x86_64
%define  _libdir     /var/asl/usr/lib64/
%endif


/var/asl/usr/sbin/apxs -Wc,"%{optflags}" -c -n mod_rpaf.so mod_rpaf.c


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/httpd/modules/
mkdir -p %{buildroot}/%{_sysconfdir}/httpd/conf.d/
install -m644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/
cp .libs/mod_rpaf.so %{buildroot}%{_libdir}/httpd/modules/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*
%{_libdir}/httpd/modules/*



%changelog
* Tue Jul 15 2014 Scott R. Shinn <scott@atomicrocketturtle.com> 
- Build git snapshot (15JUL14)

* Tue Sep 4 2012 Scott R. Shinn <scott@atomicrocketturtle.com> 
- build of git snapshot (09SEP12)

* Sat Mar 13 2010 Scott R. Shinn <scott@atomicrocketturtle.com> 
- Initial import to Atomic

